Jump to content
Welcome to our new Citrix community!

How do I upgrade ADC VPX (10) NS12.1-65.25nc


Tom Newby

Recommended Posts

On 7/24/2023 at 7:48 PM, Carl Stalhood1709151912 said:

Upgrade to 13.0 or 13.1. Version 12.1 is end-of-life so no more 12.1 builds.

 

Hi Carl,

Love your site BTW!

Piggybacking on Tom's post.

I'm trying to upgrade a Netscaler Gateway VPX from 12.0 build 59.8.nc to the latest 13.1. Can I upgrade to the latest 13.0 build and then to 13.1? Citrix says that it's not recommended, that I should upgrade to 12.1, then 13.0 and then 13.1.

Link to comment
Share on other sites

I've successfully upgraded very old NetScalers to much newer versions. However, items like custom portal themes might break.

 

"Citrix recommends upgrade of one major release at a time. For example, if the NetScaler appliance is on release 12.1, and you want to upgrade to release 13.1, first upgrade the appliance to release 13.0, and then to release 13.1." https://docs.netscaler.com/en-us/citrix-adc/current-release/upgrade-downgrade-citrix-adc-appliance/upgrade-downgrade-before-you-begin.html

 

If you have VPX, then you can easily snapshot it in your hypervisor and revert if something goes wrong.

Link to comment
Share on other sites

  • 5 weeks later...

Hi

 

unfortunately you can't use advanced policies if you still use Basic Authentication policies with Citrix Gateway vServers. You still need to use Classic (i.e. 'ns_true' instead of 'true')

Luckily, classic policies are still supported on 14.1 with Basic Authentication policies.

 

Regards

 

Ken Z

 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...